View Issue Details

IDProjectCategoryView StatusLast Update
0006241ScribusUsabilitypublic2018-05-28 15:31
ReporterJLuc Assigned Toavox  
PriorityhighSeveritymajorReproducibilityalways
Status assignedResolutionopen 
PlatformPCOSWindows Vista (sometime XP o Me)OS Version1.3.3.9
Product Version1.5.0 
Target Version1.6 milestoneFixed in Version 
Summary0006241: Not possible to make mouse selection through multiple linked frames
Descriptionit is NOT possible to select text with the mouse across multiple linked frames
Tagslinked frames, MABs
PatchNo

Relationships

parent of 0003097 confirmed problems with selecting/cutting/copying/pasting text between frames 
has duplicate 0008822 closedjghali Selecting text in few linked frames - bug or feature request 
has duplicate 0009014 closedjghali Display selection of text outside one frame 
has duplicate 0010473 closedjghali Selektionieren von seiten├╝bergreifendem Text 
has duplicate 0011156 closedjghali It's not possible to select across page borders. 
has duplicate 0012842 closed Long text cannot be selected linked by text frame 
has duplicate 0015107 closedjghali add the ability to continue text selection in Linked text frames 
has duplicate 0015177 closedjghali Inconsistent and misleading display behaviour of text selection across frames 
has duplicate 0015341 closedjghali Selecting text inside frames does not get text from other boxes 
related to 0006244 closed formatting of linked text 
related to 0006242 assignedavox erratic selection operation and display in multiple linked frames 
related to 0002898 confirmed Text property changes with select-all across linked frames only affects one frame 
Not all the children of this issue are yet resolved or closed.

Activities

JLuc

2007-09-24 09:18

developer   ~0017384

same with 1.3.3.10

JLuc

2008-06-24 14:31

developer   ~0019877

same with 1.3.3.12

JLuc

2008-11-12 13:21

developer   ~0020649

same with 1.3.5 svn (12 nov 08)

JLuc

2009-12-27 01:36

developer   ~0022997

Tested again with 1.3.6svn

it appears IT IS POSSIBLE to select text across multiple frames, and to have some action onto that text, like changing the font.

The problem is that the text is only highlighted in ONE frame, and not it all the differents linked frames that the selection goes across.

JLuc

2009-12-28 21:56

developer   ~0023002

Last edited: 2016-04-14 14:03

View 2 revisions

Another problem is that left-shift+click does nothing when it should point the end of the selection (on windows platform) so it requires lot of arrows key to go through multiple linked texts so as to select the desired text (when it is not All)
see bug 0008661

subeditor

2010-04-14 09:01

reporter   ~0023683

In case if text doesn't fit in frame and there is no linked frame, selection of text outside of frame is possible only by "Select All" command, ctrl+shift+arrows or PdDN/PdUP stops at the end of frame.
Ctrl-A sometimes is inconvenient, ie when you want to fit text in frame by changing size of body text while not altering header and subheader.

JLuc

2011-07-29 13:13

developer   ~0026655

Tested again 1.4 rc5 :

Selection through linked text frames is not working.

1)
- click in first frame and keep button pressed
- drag to 2nd frame (linked)
- "drop" (unclick) at the desired end point in frame 2
-> the selection stops at where it was last before going to 2nd frame

2)
- Click in first frame (and release button)
- Shift click again in first (same) frame (and release button)
- selection extends as desired

3)
- Click in first frame (and release button)
- shift click in 2nd frame (linked)
-> selection stops where expected in 2nd frame but starts at the begining of the 2nd frame aswell, instead of startint at the first click's place in first frame


That is verrry annoying

JLuc

2011-11-22 21:54

developer   ~0027256

With 1.5 svn, third point is now : nothing is selected.

greyscale

2012-04-21 13:13

reporter   ~0027968

Same issue here, on MacOSX 10.6.8 with Scribus 1.4.0, I notice exactly the same behavior as JLuc described.

Another method I tried:

4)
- Click in first frame (this sets the start of the selection).
- Press the shift key.
- Press the "down arrow" key (keep the shift key pressed). This extends the selection until it reaches the bottom of the frame - but it won't continue into the next linked frame.

I also notice that Edit > Select All (cmd-A) does select only the content of ONE frame, not the entirety of the text chain. Is this by design? Should I use the story editor for that?

JLuc

2012-06-05 19:31

developer   ~0028085

(I have been told that) this bug is connected with the deep structure of linked text frames code,
but could this really nasty problem be tackled and solved in 1.5 or 1.6, so as to be able to edit in a "normal way" the text in linked text frames ?

ale

2012-07-14 08:30

manager   ~0028449

Last edited: 2012-07-14 08:41

View 2 revisions

i've done some testing in 1.5 and what i saw is at least very strange:

- i can't select across frames with the mouse
- i can't extend a selection across frames with the arrows keys
- i can extend the selection across frames by using the page down or page up keys (i lose the selection in the first frame but i then can come up with the arrow up key and back into the first frame).
- once i have a selection extending over two frames i can correctly copy paste the selection or set the the font style (italic, bold, ...) but i can't -- as an example -- correctly set the text color (the color will be set only in the text selected in one of the two frames).

so, it looks like that the feature is somehow implemented but there are issues that prevent from correctly working.

Kunda

2014-09-15 22:26

manager   ~0033708

typo and reformatted bug name

Kunda

2016-04-14 14:03

manager   ~0040166

0002898 is pretty much a dupe

jaakhillen

2018-03-16 09:05

reporter   ~0045045

Still the same with me in windows 10:

 i can't select across frames with the mouse
- i can't extend a selection across frames with the arrows keys
- i can extend the selection across frames by using the page down or page up keys (i lose the selection in the first frame but i then can come up with the arrow up key and back into the first frame).
- once i have a selection extending over two frames i can correctly copy paste the selection or set the the font style (italic, bold, ...) but i can't -- as an example -- correctly set the text color (the color will be set only in the text selected in one of the two frames).

Version 1.5.4 svn

Issue History

Date Modified Username Field Change
2007-09-20 12:25 JLuc New Issue
2007-09-24 09:18 JLuc Note Added: 0017384
2008-02-05 21:30 christoph_s Status new => confirmed
2008-06-24 14:31 JLuc Note Added: 0019877
2008-11-12 13:21 JLuc Note Added: 0020649
2009-12-27 01:36 JLuc Note Added: 0022997
2009-12-28 00:12 christoph_s Status confirmed => assigned
2009-12-28 00:12 christoph_s Assigned To => avox
2009-12-28 21:56 JLuc Note Added: 0023002
2010-02-15 15:17 jghali Relationship added has duplicate 0008822
2010-04-14 08:41 jghali Relationship added has duplicate 0009014
2010-04-14 09:01 subeditor Note Added: 0023683
2011-07-29 13:13 JLuc Note Added: 0026655
2011-11-22 21:54 JLuc Note Added: 0027256
2012-01-02 09:41 jghali Relationship added has duplicate 0010473
2012-04-21 13:13 greyscale Note Added: 0027968
2012-06-05 19:31 JLuc Note Added: 0028085
2012-07-14 08:30 ale Note Added: 0028449
2012-07-14 08:41 ale Note Edited: 0028449 View Revisions
2012-08-18 15:07 ale Relationship added parent of 0003097
2012-11-06 14:40 jghali Relationship added has duplicate 0011156
2014-03-23 10:28 JLuc Tag Attached: foundation
2014-09-15 22:26 Kunda Note Added: 0033708
2014-09-15 22:26 Kunda Summary unpossible selection with mouse through multiple linked frames => No possible to make mouse selection through multiple linked frames
2014-09-15 22:26 Kunda Description Updated View Revisions
2014-09-15 22:26 Kunda Summary No possible to make mouse selection through multiple linked frames => Not possible to make mouse selection through multiple linked frames
2014-09-15 22:37 Kunda Severity trivial => major
2014-09-15 22:38 Kunda Product Version => 1.5.0
2014-09-15 22:38 Kunda Target Version => 1.5.1
2014-10-11 15:32 Kunda Tag Detached: foundation
2014-11-06 19:27 Kunda Tag Attached: MABs
2014-12-02 13:51 JLuc Relationship added has duplicate 0012842
2014-12-24 16:45 JLuc Patch => No
2014-12-24 16:45 JLuc Priority normal => high
2015-10-25 13:35 jghali Target Version 1.5.1 => 1.6 milestone
2016-03-30 18:46 Kunda Relationship added related to 0006244
2016-03-30 18:46 Kunda Relationship added related to 0006242
2016-04-14 14:00 Kunda Relationship added related to 0002898
2016-04-14 14:03 Kunda Note Added: 0040166
2016-04-14 14:03 Kunda Note Edited: 0023002 View Revisions
2016-04-14 14:04 Kunda Tag Attached: linked frames
2018-01-19 12:02 jghali Relationship added has duplicate 0015107
2018-02-28 09:53 jghali Relationship added has duplicate 0015177
2018-03-16 09:05 jaakhillen Note Added: 0045045
2018-05-28 15:31 jghali Relationship added has duplicate 0015341